VkImageCopy Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkImageCopy:
[legend]

## Data Fields

VkImageSubresourceLayers | srcSubresource
VkOffset3D | srcOffset
VkImageSubresourceLayers | dstSubresource
VkOffset3D | dstOffset
VkExtent3D | extent

## Detailed Description

Definition at line 2351 of file vulkan.h.

## Field Documentation

## dstOffset

VkOffset3D VkImageCopy::dstOffset

Definition at line 2355 of file vulkan.h.

## dstSubresource

VkImageSubresourceLayers VkImageCopy::dstSubresource

Definition at line 2354 of file vulkan.h.

## extent

VkExtent3D VkImageCopy::extent

Definition at line 2356 of file vulkan.h.

## srcOffset

VkOffset3D VkImageCopy::srcOffset

Definition at line 2353 of file vulkan.h.

## srcSubresource

VkImageSubresourceLayers VkImageCopy::srcSubresource

Definition at line 2352 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h